# $Revision: 1.4 $, $Date: 2009/11/20 18:50:19 $

%define		svnrel	37261
Summary:	Support for SHA-512, SHA-384 and SHA-256 hashed passwords in OpenLDAP
Summary(pl.UTF-8):	Obsługa haseł SHA-512, SHA-384 and SHA-256 dla OpenLDAP
Name:		openldap-module-sha2
Version:	0.%{svnrel}
Release:	1
License:	BSD
Group:		Applications
Source0:	http://xatka.net/~z/PLD/%{name}-%{svnrel}.tar.bz2
# Source0-md5:	56e27d51467898783da461c4f0c78091
Source1:	%{name}.make
URL:		http://confluence.atlassian.com/display/JIRAEXT/OpenLDAP+support+for+SHA-2+%28SHA-256,+SHA-384,+SHA-512%29+and+atlassian-sha1+passwords
BuildRequires:	openldap-headers
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Support for SHA-512, SHA-384 and SHA-256 hashed passwords in OpenLDAP.

%description -l pl.UTF-8
Obsługa haseł SHA-512, SHA-384 and SHA-256 dla OpenLDAP.

%prep
%setup -qn %{name}-%{svnrel}

%build
%{__make} -f %{SOURCE1} OPENLDAPINC=%{_includedir}/openldap
%{__make} -C standalone

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/openldap,%{_bindir}}
install -p slapd-sha2.so $RPM_BUILD_ROOT%{_libdir}/openldap/slapd-sha2.so
install -p standalone/sha2print $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/openldap/slapd-sha2.so
%attr(755,root,root) %{_bindir}/sha2print

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openldap-module-sha2.spec,v $
Revision 1.4  2009/11/20 18:50:19  pawelz
- compile with -fPIC, not link!!!

Revision 1.3  2009/11/20 18:22:07  pawelz
- use install -p instead of cp for executable files and shared objects
- %attr(755
- thx glen

Revision 1.2  2009/11/20 17:54:28  pawelz
- build and install sha2print utility

Revision 1.1  2009/11/20 17:28:30  pawelz
- initial PLD release

